Subject: Re: [PATCH] asm/unaligned.h doesn't work well as the very first include

From: Al Viro <[email-masked]>
Date: Sun, 27 Apr 2008 07:12:10 +0100

On Sun, Apr 27, 2008 at 08:09:44AM +0200, Sam Ravnborg wrote:

> It has been discussed that any .h file should pull
> in what it needs so the other of includes does not matter.
> Some do them alphabetically.

It has been discussed or it has been agreed?  IMO it's a bullshit - especially
for low-level stuff like that.

As for the way some do includes...  It's not exactly a family-friendly list,
but still I'd rather not comment in details on the existing practices...